Retrieves all the article status list
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
article_status_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| article_status_id |
Foreign key of the article_status |
globally unique identifier |
Optionally required : article_status_id required |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| sales_organization_id | globally unique identifier |
Required |
|
| date_start_delivery |
Start delivery date |
date | |
| date_start |
Date start |
date | |
| date_end |
Date end |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "34ce0214-e1f5-4ad1-9ce7-29fe80e9b214",
"article_status_id": "8ca8e7d0-d362-4c88-95a1-02eca7c21db7",
"article_id": "18ac6b1c-cf45-4840-9268-47c56048ea60",
"article_code": "sample string 4",
"sales_organization_id": "dd85547b-e42a-49e6-bc78-671bff2a0000",
"date_start_delivery": "2026-11-02T19:52:42.4402651+00:00",
"date_start": "2026-11-02T19:52:42.4402651+00:00",
"date_end": "2026-11-02T19:52:42.4402651+00:00",
"modified_dateutc": "2026-11-02T19:52:42.4402651+00:00"
}